/***********************************************
 *	FILE:	DataStorage.h
 *
 *	AUTHORS:	-Guillermo Maroto
 *
 *	Based on Aeroquad.com - DataStorage.h         
 *   --------+--------         --------+--------
 *          | |_______________________| | 
 *                   |         |
 *                   |_________|
 *                 ~____|___|____    
 **********************************************/
#pragma once

#include <EEPROM.h>
#include "MarotoCopter.h"
//#include "Quadcopter.h"

// Special thanks for 1k space optimization update from Ala42
// http://aeroquad.com/showthread.php?1369-The-big-enhancement-addition-to-2.0-code&p=13359&viewfull=1#post13359

// Utilities for writing and reading from the EEPROM
float readFloat(int address);

void writeFloat(float value, int address);


//Se deja de prueba para futuros desarrollos (future developments)
/*
// contains all default values when re-writing EEPROM
void initializeEEPROM(void);

void readEEPROM(void);

void writeEEPROM(void);
*/