/***********************************************
 *	FILE:	I2C.h
 *
 *	AUTHORS:	-Guillermo Maroto
 *	Based on Aeroquad.com
 *           
 *   --------+--------         --------+--------
 *          | |_______________________| | 
 *                   |         |
 *                   |_________|
 *                 ~____|___|____    
 **********************************************/
#pragma once

#include <Wire.h>
#include "WProgram.h"

// I2C functions

void sendByteI2C(int deviceAddress, byte dataValue);

byte readByteI2C(int deviceAddress);

int readWordI2C(int deviceAddress);

int readWordWaitI2C(int deviceAddress);

int readReverseWordI2C(int deviceAddress);

byte readWhoI2C(int deviceAddress);

void updateRegisterI2C(int deviceAddress, byte dataAddress, byte dataValue);

