/***********************************************
 *	FILE:	Motor_PWM.cpp
 *
 *	AUTHORS:	-Guillermo Maroto
 *
 *           
 *   --------+--------         --------+--------
 *		    | |_______________________| | 
 *			         |         |
 *			   	     |_________|
 *				   ~____|___|____    
 **********************************************/
#include "Motor_PWM.h"

void Motor_PWM::initialize(int pinM)
{	
	pin=pinM;
	analogWrite(pin,MINCOMMAND/8);
}


void Motor_PWM::write(int pulseM)
{
	if(armed)
	{
		pulse=constrain(pulseM,MEDCOMMAND,MAXCOMMAND);
		analogWrite(pin,pulse/8);
	}
	else
		analogWrite(pin,MINCOMMAND/8);
}

void Motor_PWM::calibrate()
{
	Serial.println("Motor_PWM::calibrate() = Empty");
}