/***********************************************
 *	FILE:	xBeeSerial.h
 *
 *	AUTHORS:	-Guillermo Maroto
 *
 *           
 *   --------+--------         --------+--------
 *          | |_______________________| | 
 *                   |         |
 *                   |_________|
 *                 ~____|___|____    
 **********************************************/
#pragma once

#include "MarotoCopter.h"
#include "SerialCom.h"


class XBeeSerial
{
	private:
	
	public:
	
	void initialize();
	int read(){ return Serial.read();}
	float readFloat() {return readFloatSerial();}
	void write(float);
	void write(double);
	void write(char);
	void write(int);
	void write(unsigned long);
	void writeEnd(float);
	void writeEnd(double);
	void writeEnd(char);
	void writeEnd(int);
	void writeEnd(unsigned long);
	
	bool available(){return Serial.available();}
	
};